EUWATCH-DESCRIBE-ALARM-HISTORY(1)

NAME
euwatch-describe-alarm-history - Retrieve history for one alarm or all alarms

SYNOPSIS
euwatch-describe-alarm-history [--end-date DATE]

[--history-item-type {Action,ConfigurationUpdate,StateUpdate}]
    [--show-long] [--start-date DATE] [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] [ALARM]

DESCRIPTION
Retrieve history for one alarm or all alarms

  positional arguments:

ALARM
    limit results to a specific alarm

  optional arguments:

--end-date DATE
    limit results to history before a given point in time

--history-item-type {Action,ConfigurationUpdate,StateUpdate}
    limit results to specific history item types

--show-long
    show detailed event data as machine-readable JSON

--start-date DATE
    limit results to history after a given point in time

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    instance monitoring service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit